use strict;

use DE_EPAGES::Core::API::Script qw( RunScript );
use DE_EPAGES::MultiStoreConnector::API::RestConnector;

use constant MAX_NUMBER => 1000;


sub Main {
    my $host = 'http://skoenig-vm1.intern.epages.de:3000/categories.json';
    my $RestConnector = DE_EPAGES::MultiStoreConnector::API::RestConnector->new($host);

    my $ShopGUID = 1;
    my $Category;

    for (my $i = 1; $i <= MAX_NUMBER; $i++) {
        $Category = {
            'category' => {
                'GUID' => $i,
                'Path' => "/ShopsMasterShop/Categories/Category$i",
                'shop_id' => 1,
                'Position' => $i
            }
        };
        $RestConnector->createCategory($ShopGUID, $Category);
    }

}

RunScript( 'Sub' => \&Main, );

1;
